Bug 9175 - winbindd doesn't recover from NT_STATUS_NETWORK_SESSION_EXPIRED
winbindd doesn't recover from NT_STATUS_NETWORK_SESSION_EXPIRED
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9176 8622
  Show dependency treegraph
 
Reported: 2012-09-18 20:08 UTC by Stefan Metzmacher
Modified: 2018-12-05 08:41 UTC (History)
3 users (show)

See Also:


Attachments
Untested patches for master (4.99 KB, patch)
2012-10-22 14:11 UTC, Stefan Metzmacher
no flags Details
Patches for v4-0-test (5.44 KB, patch)
2012-11-02 09:29 UTC, Stefan Metzmacher
obnox: review+
Details
Patch for 4.8 and 4.9 cherry-picked from master (7.68 KB, patch)
2018-11-14 09:13 UTC, Ralph Böhme
jra: review+
metze: review+
slow: review? (asn)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-09-18 20:08:24 UTC
As winbindd uses SMB2/3 if available, we might get
NT_STATUS_NETWORK_SESSION_EXPIRED from the server,
which means we have to do a reauthentication.

A simple fix could be to disconnect the connection and reconnect.
Comment 1 Stefan Metzmacher 2012-10-22 14:11:37 UTC
Created attachment 8097 [details]
Untested patches for master
Comment 2 Stefan Metzmacher 2012-11-02 09:29:08 UTC
Created attachment 8135 [details]
Patches for v4-0-test
Comment 3 Michael Adam 2012-11-02 10:30:56 UTC
Comment on attachment 8135 [details]
Patches for v4-0-test

ACK
Comment 4 Michael Adam 2012-11-02 10:31:23 UTC
==> Karolin for v4-0-test
Comment 5 Karolin Seeger 2012-11-05 10:30:34 UTC
Pushed to autobuild-v4-0-test.
Comment 6 Karolin Seeger 2012-11-06 10:02:59 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!
Comment 7 Ralph Böhme 2018-11-12 10:58:44 UTC
The patch in attachment #8135 [details] never worked for SMB2, as the previous signing check smb2_signing_check_pdu() a few lines above overwrites the status variable with NT_STATUS_OK.
Comment 8 Ralph Böhme 2018-11-14 09:13:55 UTC
Created attachment 14660 [details]
Patch for 4.8 and 4.9 cherry-picked from master
Comment 9 Karolin Seeger 2018-12-04 12:08:39 UTC
(In reply to Ralph Böhme from comment #8)
Pushed to autobuild-v4-{8,9}-test.
Comment 10 Karolin Seeger 2018-12-05 08:41:24 UTC
(In reply to Karolin Seeger from comment #9)
Pushed to both branches.
Closing out bug report.

Thanks!